From e4aff210c95ed548f4c54f9314c4b58580663a74 Mon Sep 17 00:00:00 2001
From: Karina Litskevich <litskevichkarina@gmail.com>
Date: Fri, 23 Dec 2022 16:41:48 +0300
Subject: [PATCH v2] prevent test from failing on slower machines

---
 src/test/modules/brin/t/02_wal_consistency.pl | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/test/modules/brin/t/02_wal_consistency.pl b/src/test/modules/brin/t/02_wal_consistency.pl
index f7dbb0d014..a7aeadf4bb 100644
--- a/src/test/modules/brin/t/02_wal_consistency.pl
+++ b/src/test/modules/brin/t/02_wal_consistency.pl
@@ -60,11 +60,10 @@ begin
 end
 $$;
 });
-my $end_lsn = $whiskey->lsn('insert');
 
 my ($ret, $out, $err) = $whiskey->psql(
 	'postgres', qq{
-	select count(*) from pg_get_wal_records_info('$start_lsn', '$end_lsn')
+	select count(*) from pg_get_wal_records_info_till_end_of_wal('$start_lsn')
 	where resource_manager = 'BRIN' AND
 	record_type ILIKE '%revmap%'
 	});
-- 
2.25.1

